Index: contrib/arch/kernel/kernel.adl
===================================================================
--- contrib/arch/kernel/kernel.adl	(revision 3e242d25d5b49481f9f26ba4a66712daa6a48540)
+++ contrib/arch/kernel/kernel.adl	(revision a46e56be16ae82f0d007dd26c68b250f3f725ae0)
@@ -115,14 +115,14 @@
 
 		/* Fast forward a received IPC call to another destination */
-		sysarg_t sys_ipc_forward_fast(sysarg_t callid, sysarg_t phoneid, sysarg_t method, sysarg_t arg1, sysarg_t arg2, int mode);
+		sysarg_t sys_ipc_forward_fast(sysarg_t chandle, sysarg_t phoneid, sysarg_t method, sysarg_t arg1, sysarg_t arg2, int mode);
 
 		/* Slow forward a received IPC call to another destination */
-		sysarg_t sys_ipc_forward_slow(sysarg_t callid, sysarg_t phoneid, ipc_data_t *data, int mode);
+		sysarg_t sys_ipc_forward_slow(sysarg_t chandle, sysarg_t phoneid, ipc_data_t *data, int mode);
 
 		/* Fast answer an IPC call */
-		sysarg_t sys_ipc_answer_fast(sysarg_t callid, sysarg_t retval, sysarg_t arg1, sysarg_t arg2, sysarg_t arg3, sysarg_t arg4);
+		sysarg_t sys_ipc_answer_fast(sysarg_t chandle, sysarg_t retval, sysarg_t arg1, sysarg_t arg2, sysarg_t arg3, sysarg_t arg4);
 
 		/* Slow answer an IPC call */
-		sysarg_t sys_ipc_answer_slow(sysarg_t callid, ipc_data_t *data);
+		sysarg_t sys_ipc_answer_slow(sysarg_t chandle, ipc_data_t *data);
 
 		/* Hang up a phone */
Index: uspace/app/wavplay/dplay.c
===================================================================
--- uspace/app/wavplay/dplay.c	(revision 3e242d25d5b49481f9f26ba4a66712daa6a48540)
+++ uspace/app/wavplay/dplay.c	(revision a46e56be16ae82f0d007dd26c68b250f3f725ae0)
@@ -90,21 +90,23 @@
 /**
  * Fragment playback callback function.
- * @param iid IPC call id.
- * @param icall Pointer to the call structure
- * @param arg Argument, pointer to the playback helper function
- */
-static void device_event_callback(cap_call_handle_t iid, ipc_call_t *icall, void* arg)
-{
-	async_answer_0(iid, EOK);
+ *
+ * @param icall_handle  Call capability handle.
+ * @param icall         Pointer to the call structure
+ * @param arg           Argument, pointer to the playback helper function
+ */
+static void device_event_callback(cap_call_handle_t icall_handle,
+    ipc_call_t *icall, void *arg)
+{
+	async_answer_0(icall_handle, EOK);
 	playback_t *pb = arg;
 	const size_t fragment_size = pb->buffer.size / DEFAULT_FRAGMENTS;
 	while (1) {
 		ipc_call_t call;
-		cap_call_handle_t callid = async_get_call(&call);
+		cap_call_handle_t chandle = async_get_call(&call);
 		switch(IPC_GET_IMETHOD(call)) {
 		case PCM_EVENT_PLAYBACK_STARTED:
 		case PCM_EVENT_FRAMES_PLAYED:
 			printf("%" PRIun " frames: ", IPC_GET_ARG1(call));
-			async_answer_0(callid, EOK);
+			async_answer_0(chandle, EOK);
 			break;
 		case PCM_EVENT_PLAYBACK_TERMINATED:
@@ -113,10 +115,10 @@
 			pb->playing = false;
 			fibril_condvar_signal(&pb->cv);
-			async_answer_0(callid, EOK);
+			async_answer_0(chandle, EOK);
 			fibril_mutex_unlock(&pb->mutex);
 			return;
 		default:
 			printf("Unknown event %" PRIun ".\n", IPC_GET_IMETHOD(call));
-			async_answer_0(callid, ENOTSUP);
+			async_answer_0(chandle, ENOTSUP);
 			continue;
 
Index: uspace/app/wavplay/drec.c
===================================================================
--- uspace/app/wavplay/drec.c	(revision 3e242d25d5b49481f9f26ba4a66712daa6a48540)
+++ uspace/app/wavplay/drec.c	(revision a46e56be16ae82f0d007dd26c68b250f3f725ae0)
@@ -86,12 +86,16 @@
 
 /**
- * Recording callback. Writes recorded data.
- * @param iid IPC call id.
- * @param icall Poitner to IPC call structure.
- * @param arg Argument. Poitner to recording helper structure.
- */
-static void device_event_callback(cap_call_handle_t iid, ipc_call_t *icall, void* arg)
-{
-	async_answer_0(iid, EOK);
+ * Recording callback.
+ *
+ * Writes recorded data.
+ * 
+ * @param icall_handle  IPC call id.
+ * @param icall         Poitner to IPC call structure.
+ * @param arg           Argument. Poitner to recording helper structure.
+ */
+static void device_event_callback(cap_call_handle_t icall_handle,
+    ipc_call_t *icall, void *arg)
+{
+	async_answer_0(icall_handle, EOK);
 	record_t *rec = arg;
 	const size_t buffer_part = rec->buffer.size / BUFFER_PARTS;
@@ -99,5 +103,5 @@
 	while (record) {
 		ipc_call_t call;
-		cap_call_handle_t callid = async_get_call(&call);
+		cap_call_handle_t chandle = async_get_call(&call);
 		switch(IPC_GET_IMETHOD(call)) {
 		case PCM_EVENT_CAPTURE_TERMINATED:
@@ -110,10 +114,10 @@
 		default:
 			printf("Unknown event %" PRIun ".\n", IPC_GET_IMETHOD(call));
-			async_answer_0(callid, ENOTSUP);
+			async_answer_0(chandle, ENOTSUP);
 			continue;
 		}
 
 		if (!record) {
-			async_answer_0(callid, EOK);
+			async_answer_0(chandle, EOK);
 			break;
 		}
@@ -127,5 +131,5 @@
 		if (rec->buffer.position >= (rec->buffer.base + rec->buffer.size))
 			rec->buffer.position = rec->buffer.base;
-		async_answer_0(callid, EOK);
+		async_answer_0(chandle, EOK);
 	}
 }
Index: uspace/drv/block/ata_bd/main.c
===================================================================
--- uspace/drv/block/ata_bd/main.c	(revision 3e242d25d5b49481f9f26ba4a66712daa6a48540)
+++ uspace/drv/block/ata_bd/main.c	(revision a46e56be16ae82f0d007dd26c68b250f3f725ae0)
@@ -313,10 +313,10 @@
 
 /** Block device connection handler */
-static void ata_bd_connection(cap_call_handle_t iid, ipc_call_t *icall, void *arg)
+static void ata_bd_connection(cap_call_handle_t icall_handle, ipc_call_t *icall, void *arg)
 {
 	ata_fun_t *afun;
 
 	afun = (ata_fun_t *) ddf_fun_data_get((ddf_fun_t *)arg);
-	bd_conn(iid, icall, &afun->bds);
+	bd_conn(icall_handle, icall, &afun->bds);
 }
 
Index: uspace/drv/block/ddisk/ddisk.c
===================================================================
--- uspace/drv/block/ddisk/ddisk.c	(revision 3e242d25d5b49481f9f26ba4a66712daa6a48540)
+++ uspace/drv/block/ddisk/ddisk.c	(revision a46e56be16ae82f0d007dd26c68b250f3f725ae0)
@@ -587,5 +587,5 @@
 
 /** Block device connection handler */
-static void ddisk_bd_connection(cap_call_handle_t iid, ipc_call_t *icall, void *arg)
+static void ddisk_bd_connection(cap_call_handle_t icall_handle, ipc_call_t *icall, void *arg)
 {
 	ddisk_t *ddisk;
@@ -593,5 +593,5 @@
 
 	ddisk = (ddisk_t *) ddf_dev_data_get(ddf_fun_get_dev(fun));
-	bd_conn(iid, icall, &ddisk->bds);
+	bd_conn(icall_handle, icall, &ddisk->bds);
 }
 
Index: uspace/drv/block/usbmast/main.c
===================================================================
--- uspace/drv/block/usbmast/main.c	(revision 3e242d25d5b49481f9f26ba4a66712daa6a48540)
+++ uspace/drv/block/usbmast/main.c	(revision a46e56be16ae82f0d007dd26c68b250f3f725ae0)
@@ -79,5 +79,5 @@
 
 static errno_t usbmast_fun_create(usbmast_dev_t *mdev, unsigned lun);
-static void usbmast_bd_connection(cap_call_handle_t iid, ipc_call_t *icall,
+static void usbmast_bd_connection(cap_call_handle_t icall_handle, ipc_call_t *icall,
     void *arg);
 
@@ -317,5 +317,5 @@
 
 /** Blockdev client connection handler. */
-static void usbmast_bd_connection(cap_call_handle_t iid, ipc_call_t *icall,
+static void usbmast_bd_connection(cap_call_handle_t icall_handle, ipc_call_t *icall,
     void *arg)
 {
@@ -323,5 +323,5 @@
 
 	mfun = (usbmast_fun_t *) ddf_fun_data_get((ddf_fun_t *)arg);
-	bd_conn(iid, icall, &mfun->bds);
+	bd_conn(icall_handle, icall, &mfun->bds);
 }
 
Index: uspace/drv/bus/adb/cuda_adb/cuda_adb.c
===================================================================
--- uspace/drv/bus/adb/cuda_adb/cuda_adb.c	(revision 3e242d25d5b49481f9f26ba4a66712daa6a48540)
+++ uspace/drv/bus/adb/cuda_adb/cuda_adb.c	(revision a46e56be16ae82f0d007dd26c68b250f3f725ae0)
@@ -198,21 +198,22 @@
 
 /** Device connection handler */
-static void cuda_dev_connection(cap_call_handle_t iid, ipc_call_t *icall, void *arg)
+static void cuda_dev_connection(cap_call_handle_t icall_handle,
+    ipc_call_t *icall, void *arg)
 {
 	adb_dev_t *dev = (adb_dev_t *) ddf_fun_data_get((ddf_fun_t *) arg);
-	cap_call_handle_t callid;
+	cap_call_handle_t chandle;
 	ipc_call_t call;
 	sysarg_t method;
 
 	/* Answer the IPC_M_CONNECT_ME_TO call. */
-	async_answer_0(iid, EOK);
+	async_answer_0(icall_handle, EOK);
 
 	while (true) {
-		callid = async_get_call(&call);
+		chandle = async_get_call(&call);
 		method = IPC_GET_IMETHOD(call);
 
 		if (!method) {
 			/* The other side has hung up. */
-			async_answer_0(callid, EOK);
+			async_answer_0(chandle, EOK);
 			return;
 		}
@@ -222,7 +223,7 @@
 		if (sess != NULL) {
 			dev->client_sess = sess;
-			async_answer_0(callid, EOK);
+			async_answer_0(chandle, EOK);
 		} else {
-			async_answer_0(callid, EINVAL);
+			async_answer_0(chandle, EINVAL);
 		}
 	}
Index: uspace/drv/bus/usb/vhc/conndev.c
===================================================================
--- uspace/drv/bus/usb/vhc/conndev.c	(revision 3e242d25d5b49481f9f26ba4a66712daa6a48540)
+++ uspace/drv/bus/usb/vhc/conndev.c	(revision a46e56be16ae82f0d007dd26c68b250f3f725ae0)
@@ -90,8 +90,8 @@
  *
  * @param fun Device handling the call.
- * @param icallid Call id.
+ * @param icall_handle Call id.
  * @param icall Call data.
  */
-void default_connection_handler(ddf_fun_t *fun, cap_call_handle_t icallid,
+void default_connection_handler(ddf_fun_t *fun, cap_call_handle_t icall_handle,
     ipc_call_t *icall)
 {
@@ -104,10 +104,10 @@
 		errno_t rc = vhc_virtdev_plug(vhc, callback, &plugged_device_handle);
 		if (rc != EOK) {
-			async_answer_0(icallid, rc);
+			async_answer_0(icall_handle, rc);
 			async_hangup(callback);
 			return;
 		}
 
-		async_answer_0(icallid, EOK);
+		async_answer_0(icall_handle, EOK);
 
 		receive_device_name(callback);
@@ -116,5 +116,5 @@
 		    plugged_device_name, plugged_device_handle);
 	} else
-		async_answer_0(icallid, EINVAL);
+		async_answer_0(icall_handle, EINVAL);
 }
 
Index: uspace/drv/bus/usb/vhc/vhcd.h
===================================================================
--- uspace/drv/bus/usb/vhc/vhcd.h	(revision 3e242d25d5b49481f9f26ba4a66712daa6a48540)
+++ uspace/drv/bus/usb/vhc/vhcd.h	(revision a46e56be16ae82f0d007dd26c68b250f3f725ae0)
@@ -88,5 +88,5 @@
 
 void on_client_close(ddf_fun_t *fun);
-void default_connection_handler(ddf_fun_t *fun, cap_call_handle_t icallid,
+void default_connection_handler(ddf_fun_t *fun, cap_call_handle_t icall_handle,
     ipc_call_t *icall);
 
Index: uspace/drv/char/i8042/i8042.c
===================================================================
--- uspace/drv/char/i8042/i8042.c	(revision 3e242d25d5b49481f9f26ba4a66712daa6a48540)
+++ uspace/drv/char/i8042/i8042.c	(revision a46e56be16ae82f0d007dd26c68b250f3f725ae0)
@@ -414,13 +414,13 @@
 /** Handle data requests.
  *
- * @param id   callid
+ * @param id   chandle
  * @param call IPC request.
  * @param arg  ddf_fun_t function.
  */
-void i8042_char_conn(cap_call_handle_t iid, ipc_call_t *icall, void *arg)
+void i8042_char_conn(cap_call_handle_t icall_handle, ipc_call_t *icall, void *arg)
 {
 	i8042_port_t *port = ddf_fun_data_get((ddf_fun_t *)arg);
 
-	chardev_conn(iid, icall, &port->cds);
+	chardev_conn(icall_handle, icall, &port->cds);
 }
 
Index: uspace/drv/char/msim-con/msim-con.c
===================================================================
--- uspace/drv/char/msim-con/msim-con.c	(revision 3e242d25d5b49481f9f26ba4a66712daa6a48540)
+++ uspace/drv/char/msim-con/msim-con.c	(revision a46e56be16ae82f0d007dd26c68b250f3f725ae0)
@@ -217,5 +217,5 @@
 
 /** Character device connection handler. */
-static void msim_con_connection(cap_call_handle_t iid, ipc_call_t *icall,
+static void msim_con_connection(cap_call_handle_t icall_handle, ipc_call_t *icall,
     void *arg)
 {
@@ -223,5 +223,5 @@
 	    ddf_fun_get_dev((ddf_fun_t *) arg));
 
-	chardev_conn(iid, icall, &con->cds);
+	chardev_conn(icall_handle, icall, &con->cds);
 }
 
Index: uspace/drv/char/ns8250/ns8250.c
===================================================================
--- uspace/drv/char/ns8250/ns8250.c	(revision 3e242d25d5b49481f9f26ba4a66712daa6a48540)
+++ uspace/drv/char/ns8250/ns8250.c	(revision a46e56be16ae82f0d007dd26c68b250f3f725ae0)
@@ -1068,5 +1068,5 @@
  * Configure the parameters of the serial communication.
  */
-static void ns8250_default_handler(chardev_srv_t *srv, cap_call_handle_t callid,
+static void ns8250_default_handler(chardev_srv_t *srv, cap_call_handle_t chandle,
     ipc_call_t *call)
 {
@@ -1080,5 +1080,5 @@
 		ns8250_get_props(ns8250->dev, &baud_rate, &parity, &word_length,
 		    &stop_bits);
-		async_answer_4(callid, EOK, baud_rate, parity, word_length,
+		async_answer_4(chandle, EOK, baud_rate, parity, word_length,
 		    stop_bits);
 		break;
@@ -1091,17 +1091,17 @@
 		ret = ns8250_set_props(ns8250->dev, baud_rate, parity, word_length,
 		    stop_bits);
-		async_answer_0(callid, ret);
+		async_answer_0(chandle, ret);
 		break;
 
 	default:
-		async_answer_0(callid, ENOTSUP);
-	}
-}
-
-void ns8250_char_conn(cap_call_handle_t iid, ipc_call_t *icall, void *arg)
+		async_answer_0(chandle, ENOTSUP);
+	}
+}
+
+void ns8250_char_conn(cap_call_handle_t icall_handle, ipc_call_t *icall, void *arg)
 {
 	ns8250_t *ns8250 = fun_ns8250((ddf_fun_t *)arg);
 
-	chardev_conn(iid, icall, &ns8250->cds);
+	chardev_conn(icall_handle, icall, &ns8250->cds);
 }
 
Index: uspace/drv/char/pl050/pl050.c
===================================================================
--- uspace/drv/char/pl050/pl050.c	(revision 3e242d25d5b49481f9f26ba4a66712daa6a48540)
+++ uspace/drv/char/pl050/pl050.c	(revision a46e56be16ae82f0d007dd26c68b250f3f725ae0)
@@ -286,9 +286,9 @@
 }
 
-void pl050_char_conn(cap_call_handle_t iid, ipc_call_t *icall, void *arg)
+void pl050_char_conn(cap_call_handle_t icall_handle, ipc_call_t *icall, void *arg)
 {
 	pl050_t *pl050 = pl050_from_fun((ddf_fun_t *)arg);
 
-	chardev_conn(iid, icall, &pl050->cds);
+	chardev_conn(icall_handle, icall, &pl050->cds);
 }
 
Index: uspace/drv/char/ski-con/ski-con.c
===================================================================
--- uspace/drv/char/ski-con/ski-con.c	(revision 3e242d25d5b49481f9f26ba4a66712daa6a48540)
+++ uspace/drv/char/ski-con/ski-con.c	(revision a46e56be16ae82f0d007dd26c68b250f3f725ae0)
@@ -255,5 +255,5 @@
 
 /** Character device connection handler. */
-static void ski_con_connection(cap_call_handle_t iid, ipc_call_t *icall,
+static void ski_con_connection(cap_call_handle_t icall_handle, ipc_call_t *icall,
     void *arg)
 {
@@ -261,5 +261,5 @@
 	    ddf_fun_get_dev((ddf_fun_t *) arg));
 
-	chardev_conn(iid, icall, &con->cds);
+	chardev_conn(icall_handle, icall, &con->cds);
 }
 
Index: uspace/drv/char/sun4v-con/sun4v-con.c
===================================================================
--- uspace/drv/char/sun4v-con/sun4v-con.c	(revision 3e242d25d5b49481f9f26ba4a66712daa6a48540)
+++ uspace/drv/char/sun4v-con/sun4v-con.c	(revision a46e56be16ae82f0d007dd26c68b250f3f725ae0)
@@ -180,5 +180,5 @@
 
 /** Character device connection handler. */
-static void sun4v_con_connection(cap_call_handle_t iid, ipc_call_t *icall,
+static void sun4v_con_connection(cap_call_handle_t icall_handle, ipc_call_t *icall,
     void *arg)
 {
@@ -186,5 +186,5 @@
 	    ddf_fun_get_dev((ddf_fun_t *) arg));
 
-	chardev_conn(iid, icall, &con->cds);
+	chardev_conn(icall_handle, icall, &con->cds);
 }
 
Index: uspace/drv/fb/amdm37x_dispc/main.c
===================================================================
--- uspace/drv/fb/amdm37x_dispc/main.c	(revision 3e242d25d5b49481f9f26ba4a66712daa6a48540)
+++ uspace/drv/fb/amdm37x_dispc/main.c	(revision a46e56be16ae82f0d007dd26c68b250f3f725ae0)
@@ -46,10 +46,10 @@
 #define NAME  "amdm37x_dispc"
 
-static void graph_vsl_connection(cap_call_handle_t iid, ipc_call_t *icall, void *arg)
+static void graph_vsl_connection(cap_call_handle_t icall_handle, ipc_call_t *icall, void *arg)
 {
 	visualizer_t *vsl;
 
 	vsl = (visualizer_t *) ddf_fun_data_get((ddf_fun_t *)arg);
-	graph_visualizer_connection(vsl, iid, icall, NULL);
+	graph_visualizer_connection(vsl, icall_handle, icall, NULL);
 }
 
Index: uspace/drv/fb/kfb/port.c
===================================================================
--- uspace/drv/fb/kfb/port.c	(revision 3e242d25d5b49481f9f26ba4a66712daa6a48540)
+++ uspace/drv/fb/kfb/port.c	(revision a46e56be16ae82f0d007dd26c68b250f3f725ae0)
@@ -162,5 +162,5 @@
 };
 
-static void graph_vsl_connection(cap_call_handle_t iid, ipc_call_t *icall, void *arg)
+static void graph_vsl_connection(cap_call_handle_t icall_handle, ipc_call_t *icall, void *arg)
 {
 	visualizer_t *vsl;
@@ -168,5 +168,5 @@
 
 	vsl = (visualizer_t *) ddf_fun_data_get((ddf_fun_t *)arg);
-	graph_visualizer_connection(vsl, iid, icall, NULL);
+	graph_visualizer_connection(vsl, icall_handle, icall, NULL);
 
 	if (kfb.addr != NULL) {
Index: uspace/drv/hid/adb-kbd/adb-kbd.c
===================================================================
--- uspace/drv/hid/adb-kbd/adb-kbd.c	(revision 3e242d25d5b49481f9f26ba4a66712daa6a48540)
+++ uspace/drv/hid/adb-kbd/adb-kbd.c	(revision a46e56be16ae82f0d007dd26c68b250f3f725ae0)
@@ -130,5 +130,5 @@
 }
 
-static void adb_kbd_events(cap_call_handle_t iid, ipc_call_t *icall, void *arg)
+static void adb_kbd_events(cap_call_handle_t icall_handle, ipc_call_t *icall, void *arg)
 {
 	adb_kbd_t *kbd = (adb_kbd_t *) arg;
@@ -138,5 +138,5 @@
 
 		ipc_call_t call;
-		cap_call_handle_t callid = async_get_call(&call);
+		cap_call_handle_t chandle = async_get_call(&call);
 
 		errno_t retval = EOK;
@@ -154,5 +154,5 @@
 			retval = ENOENT;
 		}
-		async_answer_0(callid, retval);
+		async_answer_0(chandle, retval);
 	}
 }
@@ -190,7 +190,7 @@
 
 /** Handle client connection */
-static void adb_kbd_conn(cap_call_handle_t iid, ipc_call_t *icall, void *arg)
-{
-	cap_call_handle_t callid;
+static void adb_kbd_conn(cap_call_handle_t icall_handle, ipc_call_t *icall, void *arg)
+{
+	cap_call_handle_t chandle;
 	ipc_call_t call;
 	sysarg_t method;
@@ -200,15 +200,15 @@
 	 * Answer the first IPC_M_CONNECT_ME_TO call.
 	 */
-	async_answer_0(iid, EOK);
+	async_answer_0(icall_handle, EOK);
 
 	kbd = (adb_kbd_t *)ddf_dev_data_get(ddf_fun_get_dev((ddf_fun_t *)arg));
 
 	while (true) {
-		callid = async_get_call(&call);
+		chandle = async_get_call(&call);
 		method = IPC_GET_IMETHOD(call);
 
 		if (!method) {
 			/* The other side has hung up. */
-			async_answer_0(callid, EOK);
+			async_answer_0(chandle, EOK);
 			return;
 		}
@@ -218,7 +218,7 @@
 		if (sess != NULL) {
 			kbd->client_sess = sess;
-			async_answer_0(callid, EOK);
+			async_answer_0(chandle, EOK);
 		} else {
-			async_answer_0(callid, EINVAL);
+			async_answer_0(chandle, EINVAL);
 		}
 	}
Index: uspace/drv/hid/adb-mouse/adb-mouse.c
===================================================================
--- uspace/drv/hid/adb-mouse/adb-mouse.c	(revision 3e242d25d5b49481f9f26ba4a66712daa6a48540)
+++ uspace/drv/hid/adb-mouse/adb-mouse.c	(revision a46e56be16ae82f0d007dd26c68b250f3f725ae0)
@@ -88,5 +88,5 @@
 }
 
-static void adb_mouse_events(cap_call_handle_t iid, ipc_call_t *icall, void *arg)
+static void adb_mouse_events(cap_call_handle_t icall_handle, ipc_call_t *icall, void *arg)
 {
 	adb_mouse_t *mouse = (adb_mouse_t *) arg;
@@ -95,5 +95,5 @@
 	while (true) {
 		ipc_call_t call;
-		cap_call_handle_t callid = async_get_call(&call);
+		cap_call_handle_t chandle = async_get_call(&call);
 
 		errno_t retval = EOK;
@@ -112,5 +112,5 @@
 		}
 
-		async_answer_0(callid, retval);
+		async_answer_0(chandle, retval);
 	}
 }
@@ -200,7 +200,7 @@
 
 /** Handle client connection */
-static void adb_mouse_conn(cap_call_handle_t iid, ipc_call_t *icall, void *arg)
-{
-	cap_call_handle_t callid;
+static void adb_mouse_conn(cap_call_handle_t icall_handle, ipc_call_t *icall, void *arg)
+{
+	cap_call_handle_t chandle;
 	ipc_call_t call;
 	sysarg_t method;
@@ -210,15 +210,15 @@
 	 * Answer the first IPC_M_CONNECT_ME_TO call.
 	 */
-	async_answer_0(iid, EOK);
+	async_answer_0(icall_handle, EOK);
 
 	mouse = (adb_mouse_t *)ddf_dev_data_get(ddf_fun_get_dev((ddf_fun_t *)arg));
 
 	while (true) {
-		callid = async_get_call(&call);
+		chandle = async_get_call(&call);
 		method = IPC_GET_IMETHOD(call);
 
 		if (!method) {
 			/* The other side has hung up. */
-			async_answer_0(callid, EOK);
+			async_answer_0(chandle, EOK);
 			return;
 		}
@@ -228,7 +228,7 @@
 		if (sess != NULL) {
 			mouse->client_sess = sess;
-			async_answer_0(callid, EOK);
+			async_answer_0(chandle, EOK);
 		} else {
-			async_answer_0(callid, EINVAL);
+			async_answer_0(chandle, EINVAL);
 		}
 	}
Index: uspace/drv/hid/atkbd/atkbd.c
===================================================================
--- uspace/drv/hid/atkbd/atkbd.c	(revision 3e242d25d5b49481f9f26ba4a66712daa6a48540)
+++ uspace/drv/hid/atkbd/atkbd.c	(revision a46e56be16ae82f0d007dd26c68b250f3f725ae0)
@@ -293,10 +293,10 @@
  *
  * @param fun     Device function handling the call.
- * @param icallid Call id.
+ * @param icall_handle Call id.
  * @param icall   Call data.
  *
  */
 static void default_connection_handler(ddf_fun_t *fun,
-    cap_call_handle_t icallid, ipc_call_t *icall)
+    cap_call_handle_t icall_handle, ipc_call_t *icall)
 {
 	const sysarg_t method = IPC_GET_IMETHOD(*icall);
@@ -306,5 +306,5 @@
 	switch (method) {
 	case KBDEV_SET_IND:
-		async_answer_0(icallid, ENOTSUP);
+		async_answer_0(icall_handle, ENOTSUP);
 		break;
 	/*
@@ -319,5 +319,5 @@
 			ddf_msg(LVL_WARN,
 			    "Failed creating callback session");
-			async_answer_0(icallid, EAGAIN);
+			async_answer_0(icall_handle, EAGAIN);
 			break;
 		}
@@ -326,8 +326,8 @@
 			kbd->client_sess = sess;
 			ddf_msg(LVL_DEBUG, "Set client session");
-			async_answer_0(icallid, EOK);
+			async_answer_0(icall_handle, EOK);
 		} else {
 			ddf_msg(LVL_ERROR, "Client session already set");
-			async_answer_0(icallid, ELIMIT);
+			async_answer_0(icall_handle, ELIMIT);
 		}
 
@@ -335,5 +335,5 @@
 	default:
 		ddf_msg(LVL_ERROR, "Unknown method: %d.", (int)method);
-		async_answer_0(icallid, EINVAL);
+		async_answer_0(icall_handle, EINVAL);
 		break;
 	}
Index: uspace/drv/hid/ps2mouse/ps2mouse.c
===================================================================
--- uspace/drv/hid/ps2mouse/ps2mouse.c	(revision 3e242d25d5b49481f9f26ba4a66712daa6a48540)
+++ uspace/drv/hid/ps2mouse/ps2mouse.c	(revision a46e56be16ae82f0d007dd26c68b250f3f725ae0)
@@ -400,9 +400,9 @@
  *
  * @param fun Device function handling the call.
- * @param icallid Call id.
+ * @param icall_handle Call id.
  * @param icall Call data.
  */
 void default_connection_handler(ddf_fun_t *fun,
-    cap_call_handle_t icallid, ipc_call_t *icall)
+    cap_call_handle_t icall_handle, ipc_call_t *icall)
 {
 	const sysarg_t method = IPC_GET_IMETHOD(*icall);
@@ -419,5 +419,5 @@
 			ddf_msg(LVL_WARN,
 			    "Failed creating client callback session");
-			async_answer_0(icallid, EAGAIN);
+			async_answer_0(icall_handle, EAGAIN);
 			break;
 		}
@@ -425,13 +425,13 @@
 			mouse->client_sess = sess;
 			ddf_msg(LVL_DEBUG, "Set client session");
-			async_answer_0(icallid, EOK);
+			async_answer_0(icall_handle, EOK);
 		} else {
 			ddf_msg(LVL_ERROR, "Client session already set");
-			async_answer_0(icallid, ELIMIT);
+			async_answer_0(icall_handle, ELIMIT);
 		}
 		break;
 	default:
 		ddf_msg(LVL_ERROR, "Unknown method: %d.", (int)method);
-		async_answer_0(icallid, EINVAL);
+		async_answer_0(icall_handle, EINVAL);
 		break;
 	}
Index: uspace/drv/hid/usbhid/kbd/kbddev.c
===================================================================
--- uspace/drv/hid/usbhid/kbd/kbddev.c	(revision 3e242d25d5b49481f9f26ba4a66712daa6a48540)
+++ uspace/drv/hid/usbhid/kbd/kbddev.c	(revision a46e56be16ae82f0d007dd26c68b250f3f725ae0)
@@ -157,9 +157,9 @@
  *
  * @param fun Device function handling the call.
- * @param icallid Call id.
+ * @param icall_handle Call id.
  * @param icall Call data.
  */
 static void default_connection_handler(ddf_fun_t *fun,
-    cap_call_handle_t icallid, ipc_call_t *icall)
+    cap_call_handle_t icall_handle, ipc_call_t *icall)
 {
 	const sysarg_t method = IPC_GET_IMETHOD(*icall);
@@ -171,5 +171,5 @@
 		kbd_dev->mods = IPC_GET_ARG1(*icall);
 		usb_kbd_set_led(kbd_dev->hid_dev, kbd_dev);
-		async_answer_0(icallid, EOK);
+		async_answer_0(icall_handle, EOK);
 		break;
 	/* This might be ugly but async_callback_receive_start makes no
@@ -181,5 +181,5 @@
 			usb_log_warning(
 			    "Failed to create start console session.\n");
-			async_answer_0(icallid, EAGAIN);
+			async_answer_0(icall_handle, EAGAIN);
 			break;
 		}
@@ -187,9 +187,9 @@
 			kbd_dev->client_sess = sess;
 			usb_log_debug("%s: OK", __FUNCTION__);
-			async_answer_0(icallid, EOK);
+			async_answer_0(icall_handle, EOK);
 		} else {
 			usb_log_error("%s: console session already set",
 			   __FUNCTION__);
-			async_answer_0(icallid, ELIMIT);
+			async_answer_0(icall_handle, ELIMIT);
 		}
 		break;
@@ -197,5 +197,5 @@
 			usb_log_error("%s: Unknown method: %d.",
 			    __FUNCTION__, (int) method);
-			async_answer_0(icallid, EINVAL);
+			async_answer_0(icall_handle, EINVAL);
 			break;
 	}
Index: uspace/drv/hid/usbhid/mouse/mousedev.c
===================================================================
--- uspace/drv/hid/usbhid/mouse/mousedev.c	(revision 3e242d25d5b49481f9f26ba4a66712daa6a48540)
+++ uspace/drv/hid/usbhid/mouse/mousedev.c	(revision a46e56be16ae82f0d007dd26c68b250f3f725ae0)
@@ -110,9 +110,9 @@
  *
  * @param fun Device function handling the call.
- * @param icallid Call id.
+ * @param icall_handle Call id.
  * @param icall Call data.
  */
 static void default_connection_handler(ddf_fun_t *fun,
-    cap_call_handle_t icallid, ipc_call_t *icall)
+    cap_call_handle_t icall_handle, ipc_call_t *icall)
 {
 	usb_mouse_t *mouse_dev = ddf_fun_data_get(fun);
@@ -120,5 +120,5 @@
 	if (mouse_dev == NULL) {
 		usb_log_debug("%s: Missing parameters.", __FUNCTION__);
-		async_answer_0(icallid, EINVAL);
+		async_answer_0(icall_handle, EINVAL);
 		return;
 	}
@@ -135,14 +135,14 @@
 			usb_log_debug("Console session to %s set ok (%p).",
 			    ddf_fun_get_name(fun), sess);
-			async_answer_0(icallid, EOK);
+			async_answer_0(icall_handle, EOK);
 		} else {
 			usb_log_error("Console session to %s already set.",
 			    ddf_fun_get_name(fun));
-			async_answer_0(icallid, ELIMIT);
+			async_answer_0(icall_handle, ELIMIT);
 			async_hangup(sess);
 		}
 	} else {
 		usb_log_debug("%s: Invalid function.", __FUNCTION__);
-		async_answer_0(icallid, EINVAL);
+		async_answer_0(icall_handle, EINVAL);
 	}
 }
Index: uspace/drv/hid/usbhid/multimedia/multimedia.c
===================================================================
--- uspace/drv/hid/usbhid/multimedia/multimedia.c	(revision 3e242d25d5b49481f9f26ba4a66712daa6a48540)
+++ uspace/drv/hid/usbhid/multimedia/multimedia.c	(revision a46e56be16ae82f0d007dd26c68b250f3f725ae0)
@@ -81,9 +81,9 @@
  *
  * @param fun Device function handling the call.
- * @param icallid Call id.
+ * @param icall_handle Call id.
  * @param icall Call data.
  */
 static void default_connection_handler(ddf_fun_t *fun,
-    cap_call_handle_t icallid, ipc_call_t *icall)
+    cap_call_handle_t icall_handle, ipc_call_t *icall)
 {
 	usb_log_debug(NAME " default_connection_handler()");
@@ -98,9 +98,9 @@
 			usb_log_debug(NAME " Saved session to console: %p",
 			    sess);
-			async_answer_0(icallid, EOK);
+			async_answer_0(icall_handle, EOK);
 		} else
-			async_answer_0(icallid, ELIMIT);
+			async_answer_0(icall_handle, ELIMIT);
 	} else
-		async_answer_0(icallid, EINVAL);
+		async_answer_0(icall_handle, EINVAL);
 }
 
Index: uspace/drv/hid/xtkbd/xtkbd.c
===================================================================
--- uspace/drv/hid/xtkbd/xtkbd.c	(revision 3e242d25d5b49481f9f26ba4a66712daa6a48540)
+++ uspace/drv/hid/xtkbd/xtkbd.c	(revision a46e56be16ae82f0d007dd26c68b250f3f725ae0)
@@ -329,10 +329,10 @@
  *
  * @param fun     Device function handling the call.
- * @param icallid Call id.
+ * @param icall_handle Call id.
  * @param icall   Call data.
  *
  */
 static void default_connection_handler(ddf_fun_t *fun,
-    cap_call_handle_t icallid, ipc_call_t *icall)
+    cap_call_handle_t icall_handle, ipc_call_t *icall)
 {
 	const sysarg_t method = IPC_GET_IMETHOD(*icall);
@@ -357,10 +357,10 @@
 		errno_t rc = chardev_write(kbd->chardev, &cmds[0], 1, &nwr);
 		if (rc != EOK) {
-			async_answer_0(icallid, rc);
+			async_answer_0(icall_handle, rc);
 			break;
 		}
 
 		rc = chardev_write(kbd->chardev, &cmds[1], 1, &nwr);
-		async_answer_0(icallid, rc);
+		async_answer_0(icall_handle, rc);
 		break;
 	/*
@@ -375,5 +375,5 @@
 			ddf_msg(LVL_WARN,
 			    "Failed creating callback session");
-			async_answer_0(icallid, EAGAIN);
+			async_answer_0(icall_handle, EAGAIN);
 			break;
 		}
@@ -382,8 +382,8 @@
 			kbd->client_sess = sess;
 			ddf_msg(LVL_DEBUG, "Set client session");
-			async_answer_0(icallid, EOK);
+			async_answer_0(icall_handle, EOK);
 		} else {
 			ddf_msg(LVL_ERROR, "Client session already set");
-			async_answer_0(icallid, ELIMIT);
+			async_answer_0(icall_handle, ELIMIT);
 		}
 
@@ -391,5 +391,5 @@
 	default:
 		ddf_msg(LVL_ERROR, "Unknown method: %d.", (int)method);
-		async_answer_0(icallid, EINVAL);
+		async_answer_0(icall_handle, EINVAL);
 		break;
 	}
Index: uspace/drv/intctl/apic/apic.c
===================================================================
--- uspace/drv/intctl/apic/apic.c	(revision 3e242d25d5b49481f9f26ba4a66712daa6a48540)
+++ uspace/drv/intctl/apic/apic.c	(revision a46e56be16ae82f0d007dd26c68b250f3f725ae0)
@@ -164,7 +164,7 @@
  * @param arg	Local argument.
  */
-static void apic_connection(cap_call_handle_t iid, ipc_call_t *icall, void *arg)
-{
-	cap_call_handle_t callid;
+static void apic_connection(cap_call_handle_t icall_handle, ipc_call_t *icall, void *arg)
+{
+	cap_call_handle_t chandle;
 	ipc_call_t call;
 	apic_t *apic;
@@ -173,14 +173,14 @@
 	 * Answer the first IPC_M_CONNECT_ME_TO call.
 	 */
-	async_answer_0(iid, EOK);
+	async_answer_0(icall_handle, EOK);
 
 	apic = (apic_t *)ddf_dev_data_get(ddf_fun_get_dev((ddf_fun_t *)arg));
 
 	while (true) {
-		callid = async_get_call(&call);
+		chandle = async_get_call(&call);
 
 		if (!IPC_GET_IMETHOD(call)) {
 			/* The other side has hung up. */
-			async_answer_0(callid, EOK);
+			async_answer_0(chandle, EOK);
 			return;
 		}
@@ -188,17 +188,17 @@
 		switch (IPC_GET_IMETHOD(call)) {
 		case IRC_ENABLE_INTERRUPT:
-			async_answer_0(callid, apic_enable_irq(apic,
+			async_answer_0(chandle, apic_enable_irq(apic,
 			    IPC_GET_ARG1(call)));
 			break;
 		case IRC_DISABLE_INTERRUPT:
 			/* XXX TODO */
-			async_answer_0(callid, EOK);
+			async_answer_0(chandle, EOK);
 			break;
 		case IRC_CLEAR_INTERRUPT:
 			/* Noop */
-			async_answer_0(callid, EOK);
+			async_answer_0(chandle, EOK);
 			break;
 		default:
-			async_answer_0(callid, EINVAL);
+			async_answer_0(chandle, EINVAL);
 			break;
 		}
